package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.ShipOrderCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.ShipOrderDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.ShipOrderGenerateDocumentCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.ShipOrderUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.ShipOrderListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.ShipOrderPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.ShipOrderShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.ShipOrderVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface ShipOrderServiceI {
	ShipOrderVO create(ShipOrderCreateCmd shipOrderCreateCmd);

	PageDTO<ShipOrderVO> page(ShipOrderPageQry shipOrderPageQry);

	List<ShipOrderVO> list(ShipOrderListQry shipOrderListQry);

	ShipOrderVO update(ShipOrderUpdateCmd shipOrderUpdateCmd);

	ShipOrderVO show(ShipOrderShowQry shipOrderShowQry);

	void destroy(ShipOrderDestroyCmd shipOrderDestroyCmd);

	void generateDocument(ShipOrderGenerateDocumentCmd shipOrderGenerateDocumentCmd);
}

